package org.jivesoftware.smack.proxy;

import java.io.IOException;
import java.net.InetAddress;
import java.net.InetSocketAddress;
import java.net.Proxy;
import java.net.Socket;
import java.net.UnknownHostException;
import javax.net.SocketFactory;

/**
 * SocketFactory for direct connection
 * 
 * @author Atul Aggarwal
 */
class DirectSocketFactory 
    extends SocketFactory
{

    public DirectSocketFactory()
    {
    }

    public Socket createSocket(String host, int port) 
        throws IOException, UnknownHostException
    {
        Socket newSocket = new Socket(Proxy.NO_PROXY);
        newSocket.connect(new InetSocketAddress(host, port),
                            ProxyInfo.CONNECT_TIMEOUT);
        return newSocket;
    }

    public Socket createSocket(String host, int port,
                                InetAddress localAddress, int localPort)
        throws IOException, UnknownHostException
    {
        Socket newSocket = new Socket(Proxy.NO_PROXY);
        newSocket.bind(new InetSocketAddress(localAddress, localPort));
        newSocket.connect(new InetSocketAddress(host, port),
                            ProxyInfo.CONNECT_TIMEOUT);
        return newSocket;
    }

    public Socket createSocket(InetAddress address, int port)
        throws IOException
    {
        Socket newSocket = new Socket(Proxy.NO_PROXY);
        newSocket.connect(new InetSocketAddress(address, port),
                            ProxyInfo.CONNECT_TIMEOUT);
        return newSocket;
    }

    public Socket createSocket(InetAddress address, int port, 
                                InetAddress localAddress, int localPort) 
        throws IOException
    {
        Socket newSocket = new Socket(Proxy.NO_PROXY);
        newSocket.bind(new InetSocketAddress(localAddress, localPort));
        newSocket.connect(new InetSocketAddress(address, port),
                            ProxyInfo.CONNECT_TIMEOUT);
        return newSocket;
    }

}
